org.richfaces.renderkit

## Class PickListRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.SelectManyRendererBase
        - - org.richfaces.renderkit.PickListRendererBase

- Direct Known Subclasses:
    PickListRenderer

      public class PickListRendererBase
      extends SelectManyRendererBase

  Author:
    Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CSS_PREFIX`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickListRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeSourceHeader(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeSourceItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `void` | `encodeSourceRows(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `void` | `encodeTargetHeader(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeTargetItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `void` | `encodeTargetRows(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
    `String` | `getButtonClass(javax.faces.component.UIComponent component, String buttonClass)`

    - ### Methods inherited from class org.richfaces.renderkit.SelectManyRendererBase

      `csvEncodeSelectedItems, doDecode, encodeHeightAndWidth, getButtonClass, getClientSelectItems, getConvertedValue, getListHeight, getListWidth, getMaxListHeight, getMinListHeight, hasColumnChildren, isHeaderExists`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CSS_PREFIX

          public static String CSS_PREFIX

  - ### Constructor Detail

    - #### PickListRendererBase

          public PickListRendererBase()

  - ### Method Detail

    - #### encodeSourceHeader

          public void encodeSourceHeader(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                                  throws IOException

      Throws:
        `IOException`

    - #### encodeTargetHeader

          public void encodeTargetHeader(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                                  throws IOException

      Throws:
        `IOException`

    - #### encodeSourceRows

          public void encodeSourceRows(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component,
                              List<ClientSelectItem> clientSelectItems)
                                throws IOException

      Throws:
        `IOException`

    - #### encodeTargetRows

          public void encodeTargetRows(javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component,
                              List<ClientSelectItem> clientSelectItems)
                                throws IOException

      Throws:
        `IOException`

    - #### encodeSourceItems

          public void encodeSourceItems(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component,
                               List<ClientSelectItem> clientSelectItems)
                                 throws IOException

      Throws:
        `IOException`

    - #### encodeTargetItems

          public void encodeTargetItems(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component,
                               List<ClientSelectItem> clientSelectItems)
                                 throws IOException

      Throws:
        `IOException`

    - #### getButtonClass

          public String getButtonClass(javax.faces.component.UIComponent component,
                              String buttonClass)

Copyright © 2014 JBoss by Red Hat. All rights reserved.